<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class ServerRule implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        if (((int)$value >= 1 && (int)$value <= 15) || $value == 50) return true;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Значение Сервера должен быть в пределах от 1 до 15 или 50';
    }
}
